View Issue Details

IDProjectCategoryView StatusLast Update
0025115mantisbtroadmappublic2020-03-15 15:23
Reportercproensa Assigned Tocproensa  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version2.19.0 
Target Version2.24.0Fixed in Version2.24.0 
Summary0025115: User can't see in roadmap a private issue that they reported
Description

When a user that is reporter of a private issue, he can access it regardless of configuration for private issues threshold.
However, he cant see that issue in the roadmap

TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

MantisBT: master acffd536

2018-12-25 20:42:17

cproensa

Details Diff
Check proper issue access for changelog, roadmap

Use the actual access api checks for ensuring the user has view access
to each issue.

Fixes: 0025115
Affected Issues
0025115
mod - changelog_page.php Diff File
mod - roadmap_page.php Diff File

Issue History

Date Modified Username Field Change
2018-12-25 19:37 cproensa New Issue
2018-12-25 19:37 cproensa Status new => assigned
2018-12-25 19:37 cproensa Assigned To => cproensa
2018-12-26 13:04 dregad Summary User can't see in roadmap a private issue that he is reporter => User can't see in roadmap a private issue that they reported
2018-12-26 13:04 dregad Description Updated View Revisions
2020-02-05 09:01 cproensa Changeset attached => MantisBT master acffd536
2020-02-05 09:01 cproensa Status assigned => resolved
2020-02-05 09:01 cproensa Resolution open => fixed
2020-02-05 09:01 cproensa Fixed in Version => 2.24.0
2020-02-09 07:03 atrol Target Version => 2.24.0
2020-03-15 15:23 vboctor Status resolved => closed